Bug 64528 - Patch: GnomeVFS-support (GNOMEhide gnorpm)
Summary: Patch: GnomeVFS-support (GNOMEhide gnorpm)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnorpm   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-07 08:05 UTC by Toralf
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-07 12:55:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated .spec file (8.54 KB, text/plain)
2002-05-07 08:07 UTC, Toralf
no flags Details
Patch9 (gnorpm-0.96-vfs.patch) (428 bytes, patch)
2002-05-07 08:10 UTC, Toralf
no flags Details | Diff
Source3 (gnorpm.applications) (153 bytes, text/plain)
2002-05-07 08:11 UTC, Toralf
no flags Details

Description Toralf 2002-05-07 08:05:16 UTC
Description of Problem:
GNOME-1.4 has no handler for RPM files.

Version-Release number of selected component (if applicable):
0.96-14

How Reproducible:
Every time

Steps to Reproduce:/Actual Results:/Expected Results:
Well, I think you know what I'm talkining about.

Additional Information:
I've modified the gnorpm package in GNOMEhide so that it registers a handler for
application/x-rpm. The new/updated files will be attached. This is far from an
ideal way of handling RPMs, I think, but it's *a lot* better than telling the
user that nothing can be done.

Comment 1 Toralf 2002-05-07 08:07:57 UTC
Created attachment 56484 [details]
Updated .spec file

Comment 2 Toralf 2002-05-07 08:10:39 UTC
Created attachment 56485 [details]
Patch9 (gnorpm-0.96-vfs.patch)

Comment 3 Toralf 2002-05-07 08:11:58 UTC
Created attachment 56486 [details]
Source3 (gnorpm.applications)

Comment 4 Toralf 2002-05-07 08:18:16 UTC
Some more comments:

1. One thing I *really* dislike about GnomeVFS is that this kind of update is
necessary in the first place. Obviously, the old (GnomeMIME) style "open" keys
ought to have been picked up automatically.

2. I can't figure out how to tell Nautilus to pass serveral file arguments to
the same handler. Too bad, as it makes installation of packages with
dependencies even harder.

Comment 5 Havoc Pennington 2002-05-07 12:55:43 UTC
It may be possible to address both of those comments (multiple files and 
avoiding a gnome-vfs build) but I'm not knowledgable enough about gnome-vfs to know.

Comment 6 Havoc Pennington 2002-07-06 22:33:56 UTC
Rawhide has dropped gnorpm, but we're working on a replacement tool. Should
appear in the near future.


Note You need to log in before you can comment on or make changes to this bug.